<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id$
 * @category   Giscuit
 * @package    Giscuit_Controller
 * @subpackage Mobile
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * @see SettingsController
 */
require_once GT_MODULES_PATH . DIR_SEP . 'default' . DIR_SEP . 'controllers' . DIR_SEP . 'SettingsController.php';

class Mobile_SettingsController extends SettingsController
{

    public function getForm ()
    {
        $form = new Giscuit_Form_Settings();
        
        $action = $this->_helper->url->url(array(
            'language' => Zend_Registry::get('Zend_Translate')->getLocale() ,
            'module' => 'mobile' ,
            'controller' => 'settings' ,
            'action' => 'index' 
        ), null, true);
        $form->setAction($action);

        //Mobile form fixes
        $form->applyJqmFixes();
        
        return $form;
    }

}