/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @version    $Id: Translate.js 1133 2011-03-14 16:12:16Z ue $
 * @copyright  Copyright (c) 2012 VEC
 */
/**
 * Method: Giscuit.Util.tooltipDoShow
 */
Giscuit.Util.tooltipDoShow = function (e, context) {
    var offset = this.cfg.getProperty("xyoffset"),
        xOffset = offset[0],
        yOffset = offset[1],
        contextId = context.id,
        me = this;

    //
    if (YAHOO.env.ua.opera && context.tagName && 
        context.tagName.toUpperCase() == "A") {
        yOffset += 12;
    }

    return setTimeout(function () {
        if(typeof me.cfg == 'undefined' || me.cfg == null) {
            return;
        }
        
        var txt = me.cfg.getProperty("text");
        if (me._tempTitle && (txt === "" || YAHOO.lang.isUndefined(txt) || YAHOO.lang.isNull(txt))) {
            me.setBody(me._tempTitle);
        } else {
            me.cfg.refireEvent("text");
        }

        if(me.id != contextId) {
            me.moveTo(me.pageX + xOffset, me.pageY + yOffset);
            
            if (me.cfg.getProperty("preventoverlap")) {
                me.preventOverlap(me.pageX, me.pageY);
            }
        }

        YAHOO.util.Event.removeListener(context, "mousemove", me.onContextMouseMove);

        me.contextTriggerEvent.fire(context);
        me.show();
        me.hideProcId = me.doHide();

    }, this.cfg.getProperty("showdelay"));
};